// Set the default precision to medium. We don't need as high of a
// precision in the fragment shader.
precision mediump float; 

// the input texture
uniform sampler2D u_Texture;

// This is the color from the vertex shader interpolated across the
// triangle per fragment.
varying vec4 v_Color;
// the interpolated texture coord per fragment
varying vec2 v_TexCoordinate0;
varying vec2 v_TexCoordinateRef;

void main()
{
    // now multiple with the texture color
    gl_FragColor = (v_Color * texture2D(u_Texture, v_TexCoordinate0));
} 